Bug 1019695 - setupNetworks | can't attach network with custom MTU on BOND interface
setupNetworks | can't attach network with custom MTU on BOND interface
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Moti Asayag
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 05:18 EDT by Meni Yakove
Modified: 2016-02-10 14:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 06:34:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine (3.81 MB, text/x-log)
2013-10-16 05:18 EDT, Meni Yakove
no flags Details
supervdsm (1.16 MB, text/x-log)
2013-10-16 05:19 EDT, Meni Yakove
no flags Details
vdsm (5.59 MB, text/x-log)
2013-10-16 05:19 EDT, Meni Yakove
no flags Details

  None (edit)
Description Meni Yakove 2013-10-16 05:18:35 EDT
Created attachment 812833 [details]
engine

Description of problem:
When trying to attach network with custom MTU on BOND interface the operation succeed but engine can't see the new network configuration (on VDSM the bond with the network created as it should)
When opening setupNetwork again the BOND is not there and the network is unattached.

This cause required network to be non-operational (Attach required network to BOND interface and from engine side this network is not attached to any interface)

Version-Release number of selected component (if applicable):
vdsm-4.10.2-27.0.el6ev.x86_64
rhevm-3.2.4-0.44.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create net_mtu network with MTU 9000
2. Open setupNetworks, create BOND and attach net_mtu to the BOND

Actual results:
The BOND with the network is not in setupNetworks.

Expected results:
The BOND with the attached network should be in setupNetworks.

Additional info:

getVdsCaps output:

        HBAInventory = {'iSCSI': [{'InitiatorName': 'iqn.1994-05.com.redhat:blond-vdse'}], 'FC': []}
        ISCSIInitiatorName = iqn.1994-05.com.redhat:blond-vdse
        bondings = {'bond4': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond0': {'addr': '', 'cfg': {'BRIDGE': 'net_mtu', 'MTU': '9000', 'NM_CONTROLLED': 'no', 'BONDING_OPTS': 'mode=4', 'DEVICE': 'bond0', 'ONBOOT': 'yes'}, 'mtu': '9000', 'netmask': '', 'slaves': [], 'hwaddr': '00:1e:c9:49:f8:a7'}, 'bond1': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond2': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond3': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}}
        bridges = {'rhevm': {'addr': '10.35.128.19', 'cfg': {'IPADDR': '10.35.128.19', 'ONBOOT': 'yes', 'DELAY': '0', 'NM_CONTROLLED': 'no', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'GATEWAY': '10.35.128.254'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'ports': ['eth0']}, 'net_mtu': {'addr': '', 'cfg': {'MTU': '9000', 'DELAY': '0', 'NM_CONTROLLED': 'no', 'STP': 'no', 'DEVICE': 'net_mtu', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '9000', 'netmask': '', 'stp': 'off', 'ports': ['bond0']}}
        clusterLevels = ['3.0', '3.1', '3.2']
        cpuCores = 4
        cpuFlags = fpu,vme,de,pse,tsc,msr,pae,mce,cx8,apic,sep,mtrr,pge,mca,cmov,pat,pse36,clflush,mmx,fxsr,sse,sse2,ht,syscall,nx,mmxext,fxsr_opt,pdpe1gb,rdtscp,lm,3dnowext,3dnow,constant_tsc,rep_good,nonstop_tsc,extd_apicid,pni,monitor,cx16,popcnt,lahf_lm,cmp_legacy,svm,extapic,cr8_legacy,abm,sse4a,misalignsse,3dnowprefetch,osvw,ibs,npt,lbrv,svm_lock,model_athlon,model_Opteron_G3,model_Opteron_G1,model_phenom,model_Opteron_G2
        cpuModel = Quad-Core AMD Opteron(tm) Processor 2350
        cpuSockets = 1
        cpuSpeed = 2000.000
        cpuThreads = 4
        emulatedMachines = ['rhel6.4.0', 'pc', 'rhel6.3.0', 'rhel6.2.0', 'rhel6.1.0', 'rhel6.0.0', 'rhel5.5.0', 'rhel5.4.4', 'rhel5.4.0']
        guestOverhead = 65
        hooks = {}
        kvmEnabled = true
        lastClient = 10.35.161.23
        lastClientIface = rhevm
        management_ip = 
        memSize = 7933
        netConfigDirty = True
        networks = {'rhevm': {'iface': 'rhevm', 'addr': '10.35.128.19', 'cfg': {'IPADDR': '10.35.128.19', 'ONBOOT': 'yes', 'DELAY': '0', 'NM_CONTROLLED': 'no', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'GATEWAY': '10.35.128.254'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'bridged': True, 'gateway': '10.35.128.254', 'ports': ['eth0']}, 'net_mtu': {'iface': 'net_mtu', 'addr': '', 'cfg': {'MTU': '9000', 'DELAY': '0', 'NM_CONTROLLED': 'no', 'STP': 'no', 'DEVICE': 'net_mtu', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '9000', 'netmask': '', 'stp': 'off', 'bridged': True, 'gateway': '0.0.0.0', 'ports': ['bond0']}}
        nics = {'eth3': {'addr': '', 'cfg': {'DEVICE': 'eth3', 'MTU': '9000', 'NM_CONTROLLED': 'no', 'MASTER': 'bond0', 'HWADDR': '00:1e:c9:49:f8:a7', 'SLAVE': 'yes', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:1e:c9:49:f8:a7', 'speed': 0}, 'eth2': {'addr': '', 'cfg': {'DEVICE': 'eth2', 'MTU': '9000', 'NM_CONTROLLED': 'no', 'MASTER': 'bond0', 'HWADDR': '00:1e:c9:49:f8:a6', 'SLAVE': 'yes', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:1e:c9:49:f8:a6', 'speed': 0}, 'eth1': {'addr': '', 'cfg': {'DEVICE': 'eth1', 'HWADDR': '90:e2:ba:18:e2:f9', 'ONBOOT': 'yes', 'MTU': '1500'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '90:e2:ba:18:e2:f9', 'speed': 1000}, 'eth0': {'addr': '', 'cfg': {'DEVICE': 'eth0', 'HWADDR': '90:e2:ba:18:e2:f8', 'BRIDGE': 'rhevm', 'ONBOOT': 'yes', 'NM_CONTROLLED': 'no'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '90:e2:ba:18:e2:f8', 'speed': 1000}}
        operatingSystem = {'release': '6.4.0.4.el6', 'version': '6Server', 'name': 'RHEL'}
        packages2 = {'kernel': {'release': '358.el6.x86_64', 'buildtime': 1359452861.0, 'version': '2.6.32'}, 'spice-server': {'release': '12.el6_4.3', 'buildtime': 1377704351, 'version': '0.12.0'}, 'vdsm': {'release': '27.0.el6ev', 'buildtime': 1381764548, 'version': '4.10.2'}, 'qemu-kvm': {'release': '2.355.el6_4.5', 'buildtime': 1369322701, 'version': '0.12.1.2'}, 'libvirt': {'release': '18.el6_4.14', 'buildtime': 1379448987, 'version': '0.10.2'}, 'qemu-img': {'release': '2.355.el6_4.5', 'buildtime': 1369322701, 'version': '0.12.1.2'}}
        reservedMem = 321
        software_revision = 27.0
        software_version = 4.10
        supportedENGINEs = ['3.0', '3.1', '3.2']
        supportedProtocols = ['2.2', '2.3']
        supportedRHEVMs = ['3.0']
        uuid = 44454C4C-5400-1056-8034-B3C04F53334A
        version_name = Snow Man
        vlans = {}
        vmTypes = ['kvm']
Comment 1 Meni Yakove 2013-10-16 05:19:14 EDT
Created attachment 812835 [details]
supervdsm
Comment 2 Meni Yakove 2013-10-16 05:19:57 EDT
Created attachment 812836 [details]
vdsm
Comment 3 Lior Vernia 2013-10-22 06:34:24 EDT
Works when I try to reproduce it, and also works now for the automatic tests.

Note You need to log in before you can comment on or make changes to this bug.